=== debian/changelog ===
libodsstream (0.7.9-1) unstable; urgency=low

  * New upstream version that fixes bug on 32-bit platforms (Closes: #959539).

  * Improvements to the packaging with use of dh-exec for the d/links files.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 18 Jun 2020 15:10:11 +0200

libodsstream (0.7.8-4) buster; urgency=medium

  * fix for Debian Bug report logs - #959539

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 15 Jun 2020 08:21:19 +0200

libodsstream (0.7.8-3) buster; urgency=medium

  * buster port

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 18 May 2020 10:03:21 +0200

libodsstream (0.7.8-2) unstable; urgency=low

  * Merge in the modifications from Andreas Tille (thank you!)

  [ Andreas Tille ]
  * debhelper-compat 12 (routine-update)
  * cme fix dpkg-control
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 05 May 2020 18:33:18 +0200

libodsstream (0.7.8-1) unstable; urgency=low

  * Conversion of all the files to UNIX format (some had a DOS format);

  * Removal of all the warnings generated by GCC (mainly using the
    [[maybe_unused]] directive).

  * Ensure that the naming of the lib in the CMake dialect is according to the
    scheme: OdsStream and not ODSSTREAM...

  * Ensure that gbp import-orig is used to store the upstream tarball in the
    git repos (closes: #959637). Warm thanks to Andras Tille for spotting the
    problem and reporting it <andreas@an3as.eu>.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 30 Apr 2020 16:19:46 +0200

libodsstream (0.7.7-1) unstable; urgency=low

  * New upstream version with a fix for the libquazip5-finding
    CMake module.

  * Automated the version numbering in the d/*.install files with
    CMake config files.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 27 Apr 2020 10:18:22 +0200

libodsstream (0.7.6-1) unstable; urgency=low

  * New upstream starting the implementation of MultiArch in
    the CMake build system.

  * Fixes to the packaging with respect to MultiArch.

  * Introduce an unversioned Conflict: for package replacement as
    it seemed to be needed.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 23 Apr 2020 21:37:40 +0200

libodsstream (0.7.5-1) unstable; urgency=low

  * New upstream version.

  * Small fixes to the Debian packaging bits.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 21 Apr 2020 14:57:06 +0200

libodsstream (0.7.4-2) buster; urgency=medium

  * merge with mia repository

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 08 Apr 2020 18:39:45 +0200

libodsstream (0.7.4-1) buster; urgency=medium

  * new tests for better reliability
  * modern exception handler

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 08 Apr 2020 18:30:56 +0200

libodsstream (0.7.3-3ubuntu1) bionic; urgency=medium

  * bionic beaver version

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 10 Jan 2020 17:56:30 +0000

libodsstream (0.7.3-3) buster; urgency=medium

  * better cmake config

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 19 Dec 2019 21:45:51 +0100

libodsstream (0.7.3-2) buster; urgency=medium

  * write std::size_t, new cmake targets

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 19 Dec 2019 21:14:59 +0100

libodsstream (0.7.3-1) buster; urgency=medium

  * new cmake syntax, slight API changes

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 13 Nov 2019 16:41:32 +0100

libodsstream (0.7.2-3) buster; urgency=medium

  * buster package

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 12 Sep 2019 15:49:35 +0200

libodsstream (0.7.2-1) buster; urgency=medium

  * first buster package

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 05 Aug 2019 13:02:35 +0200
