=== debian/control ===
Source: libodsstream
Maintainer: The Debichem Group <debichem-devel@alioth-lists.debian.net>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat(= 12),
 dh-exec (>= 0.3),
 cmake,
 d-shlibs,
 libquazip5-dev,
 qtbase5-dev,
 doxygen
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debichem-team/libodsstream
Vcs-Git: https://salsa.debian.org/debichem-team/libodsstream.git
Homepage: http://pappso.inrae.fr/bioinfo
Rules-Requires-Root: no

Package: libodsstream-qt5-0
Architecture: all
Section: oldlibs
Depends: libodsstream0,
         ${misc:Depends}
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: libodsstream0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: libodsstream-qt5-0 (<< 0.7.9-1~)
Replaces: libodsstream-qt5-0 (<< 0.7.9-1~)
Description: C++ library to read or write ODS files
 libodsstream provides a simple way to read and write Open
 Document Spreadsheet files. The hight memory efficiency comes
 from the fact that only streams are used for the read/write
 operations.
 .
 This package contains the shared library.

Package: libodsstream-qt5-dev
Architecture: all
Section: oldlibs
Depends: libodsstream-dev,
         ${misc:Depends}
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: libodsstream-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libodsstream0 (= ${binary:Version}),
         ${misc:Depends},
         libquazip5-dev
Breaks: libodsstream-qt5-dev (<< 0.7.9-1~)
Replaces: libodsstream-qt5-dev (<< 0.7.9-1~)
Description: C++ library to read or write ODS files (development files)
 libodsstream provides a simple way to read and write Open
 Document Spreadsheet files. The hight memory efficiency comes
 from the fact that only streams are used for the read/write
 operations.
 .
 This package contains the header files of the library.

Package: libodsstream-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: doxygen documentation of the ODSstream library
 libodsstream provides a simple way to read and write Open
 Document Spreadsheet files. The hight memory efficiency comes
 from the fact that only streams are used for the read/write
 operations.
 .
 This package contains the developer documentation.

Package: ods2tsv
Architecture: any
Section: text
Depends: ${shlibs:Depends},
         libodsstream0 (= ${binary:Version}),
         ${misc:Depends}
Description: ODS to TSV file converter
 Simple command line interface utility that takes one or more ods
 files as input and convert them into tabulated separated value
 (tsv simple text files).  Each ods file will create an output
 directory of the same name, containing all the spreadsheets
 (one tsv file per spreadsheet).
