## libodsstream 0.7.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,10 +14,10 @@
 
 set(LIBODSSTREAM_VERSION_MAJOR "0")
 set(LIBODSSTREAM_VERSION_MINOR "7")
-set(LIBODSSTREAM_VERSION_PATCH "10")
+set(LIBODSSTREAM_VERSION_PATCH "11")
 set(LIBODSSTREAM_LIB_NAME "libodsstream")
 set(LIBODSSTREAM_VERSION "${LIBODSSTREAM_VERSION_MAJOR}.${LIBODSSTREAM_VERSION_MINOR}.${LIBODSSTREAM_VERSION_PATCH}")
-set(VERSION 0.7.10)
+set(VERSION 0.7.11)
 set(LIBODSSTREAM_LIB_VERSION ${LIBODSSTREAM_VERSION})
 set(LIBODSSTREAM_LIB_SOVERSION ${LIBODSSTREAM_VERSION_MAJOR})
