=== debian/changelog ===
libodsstream (0.7.11-1) unstable; urgency=low

  * New upstream release.

  * d/control: Remove section for libodsstream0 that duplicates source's
    section.

  * d/control: Remove the -qt5-named transitional packages.

  * d/control: Remove Langella from uploaders field.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 05 Jan 2021 11:27:07 +0100

libodsstream (0.7.10-1~buster+1) buster; urgency=medium

  * better tsv API to use flush on output streams

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 16 Dec 2020 11:37:28 +0100
