=== debian/control ===
--- 
+++ 
@@ -9,25 +9,17 @@
  d-shlibs,
  libquazip5-dev,
  qtbase5-dev,
- doxygen
+ doxygen,
+ catch2
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debichem-team/libodsstream
 Vcs-Git: https://salsa.debian.org/debichem-team/libodsstream.git
 Homepage: http://pappso.inrae.fr/bioinfo
 Rules-Requires-Root: no
 
-Package: libodsstream-qt5-0
-Architecture: all
-Section: oldlibs
-Depends: libodsstream0,
-         ${misc:Depends}
-Description: transitional package
- This is a transitional package. It can safely be removed.
-
 Package: libodsstream0
 Architecture: any
 Multi-Arch: same
-Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Breaks: libodsstream-qt5-0 (<< 0.7.9-1~)
@@ -39,14 +31,6 @@
  operations.
  .
  This package contains the shared library.
-
-Package: libodsstream-qt5-dev
-Architecture: all
-Section: oldlibs
-Depends: libodsstream-dev,
-         ${misc:Depends}
-Description: transitional package
- This is a transitional package. It can safely be removed.
 
 Package: libodsstream-dev
 Architecture: any
