=== src/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 set(CPP_FILES 
 	odsstream/reader/odscell.cpp
 	odsstream/odsexception.h 
-	odsstream/saxreader/saxhandlercontentxml.cpp 
+	odsstream/saxreader/qxmlstreamreadercontentxml.cpp
 	odsstream/odsdocreader.cpp
 	odsstream/writer/options/odscolorscale.cpp
 	odsstream/writer/options/odstablecellstyle.cpp
@@ -20,6 +20,7 @@
 	odsstream/tsvdirectorywriter.cpp
 	odsstream/tsvoutputstream.cpp
 	odsstream/tsvreader.cpp
+	odsstream/ziptsvoutputstream.cpp
 	)
 
 
@@ -37,10 +38,8 @@
 configure_file (${CMAKE_SOURCE_DIR}/src/config.h.cmake ${CMAKE_SOURCE_DIR}/src/config.h)
 
 message ("LIBODSSTREAM_LIB_SOVERSION: ${LIBODSSTREAM_LIB_SOVERSION}")
-#qt5-default qtbase5-dev
-find_package( Qt5Core REQUIRED )
-find_package( Qt5Xml REQUIRED )
-find_package( Qt5Gui REQUIRED )
+
+find_package(Qt5 COMPONENTS Gui Xml REQUIRED)
 
 # Build the static lib
 add_library(odsstream-static STATIC ${CPP_FILES})
@@ -55,7 +54,6 @@
 	)
 
 target_link_libraries(odsstream-static
-	Qt5::Core
 	Qt5::Xml
 	Qt5::Gui
 	ZLIB::ZLIB
@@ -77,7 +75,6 @@
 
 
 target_link_libraries(odsstream-shared
-	Qt5::Core
 	Qt5::Xml
 	Qt5::Gui
 	ZLIB::ZLIB
