=== test/CMakeLists.txt ===
--- 
+++ 
@@ -10,10 +10,12 @@
 
 find_package(Qt5 COMPONENTS Core Xml Gui REQUIRED)
 
+find_package(Catch2 REQUIRED)
+
 include_directories(${QUAZIP_INCLUDE_DIR} "${CMAKE_SOURCE_DIR}/src")
 
 add_executable(test_ods test_ods.cpp)
-target_link_libraries(test_ods Qt5::Core Qt5::Gui ${QUAZIP_LIBRARIES} odsstream-shared)
+target_link_libraries(test_ods Catch2::Catch2 Qt5::Core Qt5::Gui ${QUAZIP_LIBRARIES} odsstream-shared)
 add_test(test_ods "test_ods")
