=== debian/changelog ===
libodsstream (0.8.2-1) unstable; urgency=low

  * Debian packaging: fix the erroneous distribution (see stanza below).

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 11 Jul 2022 11:12:31 +0200

libodsstream (0.8.1-1) bullseye; urgency=low

  * Debian packaging.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 01 Jul 2022 10:06:37 +0200

libodsstream (0.8.0-1) bullseye; urgency=medium

  * fix for integer writing in TSV output
  * new Zipped file tsv output ZipTsvOutputStream

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 28 Jun 2022 11:06:54 +0200
