## libodsstream 0.8.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,10 +14,10 @@
 
 set(LIBODSSTREAM_VERSION_MAJOR "0")
 set(LIBODSSTREAM_VERSION_MINOR "8")
-set(LIBODSSTREAM_VERSION_PATCH "2")
+set(LIBODSSTREAM_VERSION_PATCH "7")
 set(LIBODSSTREAM_LIB_NAME "libodsstream")
 set(LIBODSSTREAM_VERSION "${LIBODSSTREAM_VERSION_MAJOR}.${LIBODSSTREAM_VERSION_MINOR}.${LIBODSSTREAM_VERSION_PATCH}")
-set(VERSION 0.8.2)
+set(VERSION 0.8.7)
 set(LIBODSSTREAM_LIB_VERSION ${LIBODSSTREAM_VERSION})
 set(LIBODSSTREAM_LIB_SOVERSION ${LIBODSSTREAM_VERSION_MAJOR})
 
@@ -106,7 +106,7 @@
 	# Run the following cmake command line:
 	# x86_64-w64-mingw32.shared-cmake -DCMAKE_BUILD_TYPE=Release -DMXE=1 ../development
 	#include(${CMAKE_TOOLCHAINS_PATH}/mxe-toolchain.cmake)
-	include(${CMAKE_TOOLCHAINS_PATH}/mxe-toolchain.cmake)
+	include(${CMAKE_TOOLCHAINS_PATH}/mxe-toolchain-olivier.cmake)
 
 	# Set the name to the systemUname variable because in this situation that name
 	# is not found, it it passed as a flag in the command line.
