=== src/CMakeLists.txt ===
--- 
+++ 
@@ -45,7 +45,7 @@
 add_library(odsstream-static STATIC ${CPP_FILES})
 
 target_include_directories (odsstream-static PUBLIC 
-	${QUAZIP_INCLUDE_DIR}
+  QuaZip::QuaZip
 	)
 
 set_target_properties(odsstream-static
@@ -57,14 +57,14 @@
 	Qt5::Xml
 	Qt5::Gui
 	ZLIB::ZLIB
-	${QUAZIP_LIBRARIES}
+  QuaZip::QuaZip
 	)
 
 # Build the shared lib
 add_library(odsstream-shared SHARED ${CPP_FILES})
 
 target_include_directories (odsstream-shared PUBLIC 
-	${QUAZIP_INCLUDE_DIR}
+  QuaZip::QuaZip
 	)
 
 set_target_properties(odsstream-shared PROPERTIES
@@ -78,7 +78,7 @@
 	Qt5::Xml
 	Qt5::Gui
 	ZLIB::ZLIB
-	${QUAZIP_LIBRARIES}
+  QuaZip::QuaZip
 	)
