## libodsstream 0.9.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,11 +13,11 @@
 project(${PROJECT} CXX C)
 
 set(LIBODSSTREAM_VERSION_MAJOR "0")
-set(LIBODSSTREAM_VERSION_MINOR "8")
-set(LIBODSSTREAM_VERSION_PATCH "7")
+set(LIBODSSTREAM_VERSION_MINOR "9")
+set(LIBODSSTREAM_VERSION_PATCH "1")
 set(LIBODSSTREAM_LIB_NAME "libodsstream")
 set(LIBODSSTREAM_VERSION "${LIBODSSTREAM_VERSION_MAJOR}.${LIBODSSTREAM_VERSION_MINOR}.${LIBODSSTREAM_VERSION_PATCH}")
-set(VERSION 0.8.7)
+set(VERSION 0.9.1)
 set(LIBODSSTREAM_LIB_VERSION ${LIBODSSTREAM_VERSION})
 set(LIBODSSTREAM_LIB_SOVERSION ${LIBODSSTREAM_VERSION_MAJOR})
 
@@ -66,10 +66,10 @@
 set(CMAKE_EXPORT_COMPILE_COMMANDS 1)
 
 if(EXISTS "${CMAKE_CURRENT_BINARY_DIR}/compile_commands.json" )
-	execute_process( COMMAND cmake -E copy_if_different
-		${CMAKE_CURRENT_BINARY_DIR}/compile_commands.json
-		${CMAKE_CURRENT_SOURCE_DIR}/compile_commands.json
-		)
+  execute_process( COMMAND cmake -E copy_if_different
+    ${CMAKE_CURRENT_BINARY_DIR}/compile_commands.json
+    ${CMAKE_CURRENT_SOURCE_DIR}/compile_commands.json
+  )
 endif()
 
 
@@ -91,8 +91,8 @@
 #add_definitions(-pedantic)
 
 if(WARN_AS_ERROR)
-	message(STATUS "${BoldYellow}Setting definition -Werror.${ColourReset}")
-	add_definitions(-Werror)
+  message(STATUS "${BoldYellow}Setting definition -Werror.${ColourReset}")
+  add_definitions(-Werror)
 endif()
 
 message(STATUS "${BoldRed}CMAKE_SOURCE_DIR: ${CMAKE_SOURCE_DIR}${ColourReset}")
@@ -103,35 +103,35 @@
 # Platform-specific CMake configuration
 if(MXE)
 
-	# Run the following cmake command line:
-	# x86_64-w64-mingw32.shared-cmake -DCMAKE_BUILD_TYPE=Release -DMXE=1 ../development
-	#include(${CMAKE_TOOLCHAINS_PATH}/mxe-toolchain.cmake)
-	include(${CMAKE_TOOLCHAINS_PATH}/mxe-toolchain-olivier.cmake)
-
-	# Set the name to the systemUname variable because in this situation that name
-	# is not found, it it passed as a flag in the command line.
-	set(SYSTEM_UNAME_S "mxe")
+  # Run the following cmake command line:
+  # x86_64-w64-mingw32.shared-cmake -DCMAKE_BUILD_TYPE=Release -DMXE=1 ../development
+  #include(${CMAKE_TOOLCHAINS_PATH}/mxe-toolchain.cmake)
+  include(${CMAKE_TOOLCHAINS_PATH}/mxe-toolchain-olivier.cmake)
+
+  # Set the name to the systemUname variable because in this situation that name
+  # is not found, it it passed as a flag in the command line.
+  set(SYSTEM_UNAME_S "mxe")
 
 elseif(UNIX AND NOT APPLE)
 
-	# Run the following cmake command line:
-	# cmake -DCMAKE_BUILD_TYPE=Debug
-
-	include(${CMAKE_TOOLCHAINS_PATH}/unix-toolchain.cmake)
+  # Run the following cmake command line:
+  # cmake -DCMAKE_BUILD_TYPE=Debug
+
+  include(${CMAKE_TOOLCHAINS_PATH}/unix-toolchain.cmake)
 
 elseif(WIN32 OR _WIN32)
 
-	# Run the following cmake command line:
-	# cmake -DCMAKE_BUILD_TYPE=Release ../development
-
-	include(${CMAKE_TOOLCHAINS_PATH}/win10-mingw64-toolchain.cmake)
+  # Run the following cmake command line:
+  # cmake -DCMAKE_BUILD_TYPE=Release ../development
+
+  include(${CMAKE_TOOLCHAINS_PATH}/win10-mingw64-toolchain.cmake)
 
 elseif(APPLE)
 
-	# Run the following cmake command line:
-	# cmake -DCMAKE_BUILD_TYPE=Release ../development
-
-	include(${CMAKE_TOOLCHAINS_PATH}/apple-macport-toolchain.cmake)
+  # Run the following cmake command line:
+  # cmake -DCMAKE_BUILD_TYPE=Release ../development
+
+  include(${CMAKE_TOOLCHAINS_PATH}/apple-macport-toolchain.cmake)
 
 endif()
 
@@ -148,24 +148,24 @@
 message(STATUS "CMAKE_CURRENT_BINARY_DIR: " ${CMAKE_CURRENT_BINARY_DIR})
 
 if(NOT CMAKE_BUILD_TYPE)
-	set(CMAKE_BUILD_TYPE Release CACHE STRING
-		"Type of build, options are: None, Debug, Release, RelWithDebInfo, MinSizeRel."
-		FORCE)
+  set(CMAKE_BUILD_TYPE Release CACHE STRING
+    "Type of build, options are: None, Debug, Release, RelWithDebInfo, MinSizeRel."
+    FORCE)
 endif(NOT CMAKE_BUILD_TYPE)
 
 if(CMAKE_BUILD_TYPE MATCHES "Release")
-	message(STATUS "Compiling in release mode.")
-	add_definitions("-DQT_NO_DEBUG_OUTPUT")
+  message(STATUS "Compiling in release mode.")
+  add_definitions("-DQT_NO_DEBUG_OUTPUT")
 endif()
 
 if(CMAKE_BUILD_TYPE MATCHES "Debug")
-	message(STATUS "Compiling in debug mode with MAKE_TEST: ${MAKE_TEST}.")
-	message(STATUS "Add definition -ggdb3 to format debug output for GDB.")
-	add_definitions(-ggdb3)
+  message(STATUS "Compiling in debug mode with MAKE_TEST: ${MAKE_TEST}.")
+  message(STATUS "Add definition -ggdb3 to format debug output for GDB.")
+  add_definitions(-ggdb3)
 endif()
 
 if(CMAKE_BUILD_TYPE MATCHES "RelWithDebInfo")
-	message(STATUS "Compiling in release with debug info mode.")
+  message(STATUS "Compiling in release with debug info mode.")
 endif(CMAKE_BUILD_TYPE MATCHES "RelWithDebInfo")
 
 message(STATUS "${BoldYellow}CMAKE_BUILD_TYPE: ${CMAKE_BUILD_TYPE}.${ColourReset}")
@@ -198,51 +198,51 @@
 
 
 set(CPACK_SOURCE_IGNORE_FILES 
-	".*\\\\.tar\\\\.gz"
-	"moc_.*cxx"
-	"\\\\.#.*"
-	".*\\\\.aux"
-	".*\\\\.bbl"
-	".*\\\\.blg"
-	".*\\\\.log"
-	".*\\\\.out"
-	".*\\\\.toc"
-	"/devel_archives/"
-	"/doc\\\\/html/"
-	"/doc\\\\/latex/"
-	"Makefile"
-	"install_manifest.txt"
-	"CMakeCache.txt"
-	"CPackConfig.cmake"
-	"CPackSourceConfig.cmake"
-	"/CMakeFiles/"
-	"/_CPack_Packages/"
-	"/Debug/"
-	"/Release/"
-	"/tests/"
-	"/\\\\.externalToolBuilders/"
-	"/\\\\.git/"
-	"/\\\\.kdev4/"
-	"/\\\\.settings/"
-	"Makefile"
-	"\\\\.gitignore"
-	"\\\\.cdtbuild"
-	"\\\\.cdtproject"
-	"\\\\.project"
-	"\\\\.cproject"
-	"/win32/"
-	"/win64/"
-	"/build/"
-	"/buildwin64/"
-	"/cbuild/"
-	"/wbuild/"
-	"/bin/"
-	"/buildmingw/"
-	"test\\\\.ods"
-	"buildwin32.cmd"
-	"libodsstream.so"
-	"OpenDocument-v1.0-os.pdf"
-	)
+  ".*\\\\.tar\\\\.gz"
+  "moc_.*cxx"
+  "\\\\.#.*"
+  ".*\\\\.aux"
+  ".*\\\\.bbl"
+  ".*\\\\.blg"
+  ".*\\\\.log"
+  ".*\\\\.out"
+  ".*\\\\.toc"
+  "/devel_archives/"
+  "/doc\\\\/html/"
+  "/doc\\\\/latex/"
+  "Makefile"
+  "install_manifest.txt"
+  "CMakeCache.txt"
+  "CPackConfig.cmake"
+  "CPackSourceConfig.cmake"
+  "/CMakeFiles/"
+  "/_CPack_Packages/"
+  "/Debug/"
+  "/Release/"
+  "/tests/"
+  "/\\\\.externalToolBuilders/"
+  "/\\\\.git/"
+  "/\\\\.kdev4/"
+  "/\\\\.settings/"
+  "Makefile"
+  "\\\\.gitignore"
+  "\\\\.cdtbuild"
+  "\\\\.cdtproject"
+  "\\\\.project"
+  "\\\\.cproject"
+  "/win32/"
+  "/win64/"
+  "/build/"
+  "/buildwin64/"
+  "/cbuild/"
+  "/wbuild/"
+  "/bin/"
+  "/buildmingw/"
+  "test\\\\.ods"
+  "buildwin32.cmd"
+  "libodsstream.so"
+  "OpenDocument-v1.0-os.pdf"
+)
 # to create a TGZ archive of the  source code type shell command
 # cpack -G TGZ --config CPackSourceConfig.cmake 
 
@@ -296,40 +296,61 @@
 add_subdirectory (doc)
 
 add_custom_target(targz
-	cpack -G TGZ --config CPackSourceConfig.cmake && tar xvfz libodsstream-${LIBODSSTREAM_VERSION}.tar.gz
-	WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
-	COMMENT "Creating .tar.gz" VERBATIM
-	)
+  cpack -G TGZ --config CPackSourceConfig.cmake && tar xvfz libodsstream-${LIBODSSTREAM_VERSION}.tar.gz
+  WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
+  COMMENT "Creating .tar.gz" VERBATIM
+)
 
 
 add_custom_target(deb
-	ln -s libodsstream-${LIBODSSTREAM_VERSION}.tar.gz libodsstream_${LIBODSSTREAM_VERSION}.orig.tar.gz && cd libodsstream-${LIBODSSTREAM_VERSION} && dpkg-buildpackage -sa
-	DEPENDS targz
-	WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
-	COMMENT "Creating Debian package" VERBATIM
-	)
+  ln -s libodsstream-${LIBODSSTREAM_VERSION}.tar.gz libodsstream_${LIBODSSTREAM_VERSION}.orig.tar.gz && cd libodsstream-${LIBODSSTREAM_VERSION} && dpkg-buildpackage -sa
+  DEPENDS targz
+  WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
+  COMMENT "Creating Debian package" VERBATIM
+)
 
 add_custom_target(lintian
-	lintian -IEi --pedantic ${changesdeb}
-	DEPENDS deb
-	WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
-	COMMENT "lintian check" VERBATIM
-	)
+  lintian -IEi --pedantic ${changesdeb}
+  DEPENDS deb
+  WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
+  COMMENT "lintian check" VERBATIM
+)
 
 if(MAKE_TEST)
-	enable_testing()
-	include(CTest)
-	if(BUILD_TESTING)
-		add_subdirectory(test)
-	endif(BUILD_TESTING)
+  enable_testing()
+  include(CTest)
+  if(BUILD_TESTING)
+    add_subdirectory(test)
+  endif(BUILD_TESTING)
 endif(MAKE_TEST)
 
 
-# message(STATUS CMAKE_MODULE_PATH: ${CMAKE_MODULE_PATH})
+message(STATUS CMAKE_MODULE_PATH: ${CMAKE_MODULE_PATH})
 
 # Install cmake module
-install(FILES ${CMAKE_MODULE_PATH}/FindOdsStream.cmake DESTINATION share/cmake/Modules)
+install(FILES ${CMAKE_UTILS_PATH}/modules/FindOdsStream.cmake DESTINATION lib${LIB_SUFFIX}/cmake/odsstream)
 # Install cmake config
-configure_file (${CMAKE_MODULE_PATH}/OdsStreamConfig.cmake ${CMAKE_SOURCE_DIR}/OdsStreamConfig.cmake)
-install(FILES ${CMAKE_SOURCE_DIR}/OdsStreamConfig.cmake DESTINATION lib${LIB_SUFFIX}/cmake/odsstream)
-#configure_file (${CMAKE_SOURCE_DIR}/debian/rules.cmake ${CMAKE_SOURCE_DIR}/debian/rules @ONLY)
+
+# Older version
+#configure_file (${CMAKE_UTILS_PATH}/modules/OdsStreamConfig.cmake.in ${CMAKE_SOURCE_DIR}/OdsStreamConfig.cmake)
+#install(FILES ${CMAKE_SOURCE_DIR}/OdsStreamConfig.cmake DESTINATION lib${LIB_SUFFIX}/cmake/odsstream)
+
+# More modern CMake version
+
+install(EXPORT OdsStreamTargets
+  FILE OdsStreamTargets.cmake
+  NAMESPACE OdsStream::
+  DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/odsstream)
+
+include(CMakePackageConfigHelpers)
+
+configure_package_config_file(${CMAKE_SOURCE_DIR}/CMakeStuff/modules/OdsStreamConfig.cmake.in
+  "${CMAKE_CURRENT_BINARY_DIR}/OdsStreamConfig.cmake"
+  INSTALL_DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/odsstream)
+
+install(FILES
+  "${CMAKE_CURRENT_BINARY_DIR}/OdsStreamConfig.cmake"
+  DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/odsstream)
+
+
+
