=== test/CMakeLists.txt ===
--- 
+++ 
@@ -8,24 +8,24 @@
 configure_file (config.h.cmake ${CMAKE_SOURCE_DIR}/test/config.h)
 
 
-find_package(Qt5 COMPONENTS Core Xml Gui REQUIRED)
+find_package(Qt6 COMPONENTS Core Xml Gui REQUIRED)
 
 find_package(Catch2 REQUIRED)
 
 include_directories(${QUAZIP_INCLUDE_DIR} "${CMAKE_SOURCE_DIR}/src")
 
 add_executable(test_ods test_ods.cpp)
-target_link_libraries(test_ods Catch2::Catch2 Qt5::Core Qt5::Gui ${QUAZIP_LIBRARIES} odsstream-shared)
+target_link_libraries(test_ods Catch2::Catch2 Qt6::Core Qt6::Gui QuaZip::QuaZip Core)
 add_test(test_ods "test_ods")
 
 
 add_executable(test_tsv test_tsv.cpp)
-target_link_libraries(test_tsv Qt5::Core Qt5::Gui odsstream-shared ${QUAZIP_LIBRARIES})
+target_link_libraries(test_tsv Qt6::Core Qt6::Gui Core QuaZip::QuaZip)
 add_test(test_tsv "test_tsv")
 
 
 add_executable(test_zlib test_zlib.cpp)
-target_link_libraries(test_zlib Qt5::Core odsstream-shared ${QUAZIP_LIBRARIES})
+target_link_libraries(test_zlib Qt6::Core Core QuaZip::QuaZip)
 add_test(test_zlib "test_zlib")
