=== debian/changelog ===
libodsstream (0.9.1-2) unstable; urgency=medium

  * Team upload.
  * Fix Homepage
  * Add watch file
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Trim trailing whitespace.
  * Simplify installation of libodsstream.so
  * Close bug that should have been closed in previous paragraph
    Closes: #1026044

 -- Andreas Tille <tille@debian.org>  Thu, 22 Dec 2022 09:34:19 +0100

libodsstream (0.9.1-1) unstable; urgency=low

  * Rework the CMake-based Config.cmake generation process to stick to more
    modern approaches.

  * Add libquazip1-qt6-dev and other development packages as
    libodsstream-dev's dependency.

  * dh_auto_test added in d/rules.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 13 Dec 2022 22:48:47 +0100

libodsstream (0.9.0-2) UNRELEASED; urgency=medium

  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on dh-exec.

 -- Debian Janitor <janitor@jelmer.uk>  Wed, 02 Nov 2022 08:50:29 -0000

libodsstream (0.9.0-1) unstable; urgency=low

  * Port of the project to Qt6.

  * Standards-Version: 4.6.1 (routine update).

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 13 Sep 2022 21:09:28 +0200

libodsstream (0.8.5-1~bullseye+1) bullseye; urgency=medium

  * bullseye backport

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 31 Oct 2022 09:10:37 +0100

libodsstream (0.8.5-1) unstable; urgency=low

  * New version to fix distribution.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 28 Oct 2022 03:52:21 +0200

libodsstream (0.8.4-1) bullseye; urgency=low

  * New upstream version.

  * Standards-Version: 4.6.1 (routine update)

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 28 Oct 2022 02:26:21 +0200

libodsstream (0.8.3-1~bullseye+1) bullseye; urgency=medium

  * bug fix on ZipTsvOutputStream

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 05 Oct 2022 10:38:55 +0200
