=== debian/control ===
--- 
+++ 
@@ -3,18 +3,20 @@
 Uploaders: Filippo Rusconi <lopippo@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper-compat(= 12),
- dh-exec (>= 0.3),
+Build-Depends: debhelper-compat (= 13),
+ dh-exec,
  cmake,
  d-shlibs,
- libquazip5-dev,
- qtbase5-dev,
+ qt6-base-dev,
+ libqt6core5compat6-dev,
+ zlib1g-dev,
+ libquazip1-qt6-dev,
  doxygen,
  catch2
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debichem-team/libodsstream
 Vcs-Git: https://salsa.debian.org/debichem-team/libodsstream.git
-Homepage: http://pappso.inrae.fr/bioinfo
+Homepage: https://forgemia.inra.fr/pappso/libodsstream
 Rules-Requires-Root: no
 
 Package: libodsstream0
@@ -37,8 +39,11 @@
 Multi-Arch: same
 Section: libdevel
 Depends: libodsstream0 (= ${binary:Version}),
-         ${misc:Depends},
-         libquazip5-dev
+ ${misc:Depends},
+ qt6-base-dev,
+ libqt6core5compat6-dev,
+ zlib1g-dev,
+ libquazip1-qt6-dev,
 Breaks: libodsstream-qt5-dev (<< 0.7.9-1~)
 Replaces: libodsstream-qt5-dev (<< 0.7.9-1~)
 Description: C++ library to read or write ODS files (development files)
@@ -53,6 +58,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: doxygen documentation of the ODSstream library
  libodsstream provides a simple way to read and write Open
  Document Spreadsheet files. The hight memory efficiency comes
