=== debian/rules ===
--- 
+++ 
@@ -37,3 +37,4 @@
 override_dh_auto_build:
 	dh_auto_build --no-parallel
 	dh_auto_build -- doc
+	dh_auto_test
