=== debian/watch ===
version=4

https://forgemia.inra.fr/pappso/libodsstream/-/tags .*/libodsstream-master-(\d[.\d]*)-1\.tar\.gz
